BEGIN {
	IGNORECASE = 1;
	netbios_domain = "AD";
	domain = "ad.lan.private";
};
/^<!ENTITY SAMBA____USER_ID_/ {
	split($0, parsed_quotes, "\"");
	gsub("*", "", parsed_quotes[2]);
	original_sid = parsed_quotes[2];
	if (original_sid ~ /S-[-[:digit:]]*/) {
		cmd = "wbinfo -s " original_sid;
		cmd | getline resolved_original_sid;
		close(cmd);
		generalized_name = gensub("^" netbios_domain, "XXX_NETBIOSDOMAIN_XXX", 1, gensub("[[:space:]]*[[:digit:]]*$", "", 1, resolved_original_sid));
	} else {
		generalized_name = original_sid;
	}
	print $1 " " $2 " " "\"" generalized_name "\">";
};
/^<!ENTITY SAMBA____SDDL_ACL_/ {
	# TODO: generalize all embedded SIDs inside SDDL expressions
	print "Skipping unsupported SDDL_ACL (" $0 ") generalization" > "/dev/stderr"
};
/^<!ENTITY SAMBA__NETWORK_PATH_/ {
	# TODO: generalize all network/system names inside UNCs
	print "Skipping unsupported NETWORK_PATH (" $0 ") generalization" > "/dev/stderr"
};
