BEGIN {
	IGNORECASE = 1;
	found = 0;
	container_rdn = "unknown";
	bracketed_uuid = "unknown";
	name = "unknown";
	link_opts = "unknown";
};
/^[[:space:]]*GPO[[:space:]]*:/ {
	current_bracketed_uuid = gensub("^[[:space:]]*GPO[[:space:]]*:[[:space:]]*", "", "g");
	if (current_bracketed_uuid == bracketed_uuid) {
		found =  1;
	}
};
/^[[:space:]]*Options[[:space:]]*:/ {
	if (found ==  1) {
		link_opts = gensub("^[[:space:]]*Options[[:space:]]*:[[:space:]]*", "", "g");
		print container_rdn ":" name ":" bracketed_uuid ":" link_opts;
		found = 0;
		link_opts = "unknown";
	};
};
