BEGIN {
	IGNORECASE = 1;
	bracketed_uuid = "unknown";
	name = "unknown";
	container = "unknown";
	domain = "mgmt.ad.private";
	container_rdn = "unknown";
	link_opts = "NONE";
};
/^[[:space:]]*Container[(]s[)][[:space:]]*using[[:space:]]*GPO[[:space:]]*/ {
	bracketed_uuid = gensub("^[[:space:]]*Container[(]s[)][[:space:]]*using[[:space:]]*GPO[[:space:]]*", "", "g");
};
/^[[:space:]]*DN[[:space:]]*:/ {
	container = gensub("^[[:space:]]*DN[[:space:]]*:[[:space:]]*", "", "g");
	suffix = "DC=" gensub("[.]", ",DC=", "g", domain);
	container_rdn = gensub(suffix, "", "g", container);
	gsub(",$", "", container_rdn);
	print container_rdn ":" name ":" bracketed_uuid ":" link_opts;
};
