BEGIN {
	IGNORECASE = 1;
	found = 0;
	bracketed_uuid = "unknown";
	name = "unknown";
	flags = "unknown";
};
/^[[:space:]]*GPO[[:space:]]*:/ {
	found =  1;
	bracketed_uuid = gensub("^[[:space:]]*GPO[[:space:]]*:[[:space:]]*", "", "g");
};
/^[[:space:]]*display[[:space:]]*name[[:space:]]*:/ {
	if (found ==  1) {
		name = gensub("^[[:space:]]*display[[:space:]]*name[[:space:]]*:[[:space:]]*", "", "g");
	};
};
/^[[:space:]]*flags[[:space:]]*:/ {
	if (found ==  1) {
		flags = gensub("^[[:space:]]*flags[[:space:]]*:[[:space:]]*", "", "g");
		print name ":" bracketed_uuid ":" flags;
		found = 0;
		bracketed_uuid = "unknown";
		name = "unknown";
		flags = "unknown";
	};
};
